Package com.github.lgooddatepicker.components

# Enum TimePickerSettings.TimeIncrement

java.lang.Object
java.lang.Enum<TimePickerSettings.TimeIncrement>
com.github.lgooddatepicker.components.TimePickerSettings.TimeIncrement

All Implemented Interfaces:
  `Serializable`, `Comparable<TimePickerSettings.TimeIncrement>`, `java.lang.constant.Constable`

Enclosing class:
  `TimePickerSettings`

public static enum TimePickerSettings.TimeIncrement extends Enum<TimePickerSettings.TimeIncrement>
TimeIncrement, This is a list of increments that can be used with the generateMenuTimes() function.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FifteenMinutes`
`FiveMinutes`
`OneHour`
`TenMinutes`
`ThirtyMinutes`
`TwentyMinutes`

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`minutes`
minutes, This holds the number of minutes represented by the time increment.

## Method Summary

Modifier and Type
Method
Description
`static TimePickerSettings.TimeIncrement`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TimePickerSettings.TimeIncrement[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FiveMinutes

public static final TimePickerSettings.TimeIncrement FiveMinutes

### TenMinutes

public static final TimePickerSettings.TimeIncrement TenMinutes

### FifteenMinutes

public static final TimePickerSettings.TimeIncrement FifteenMinutes

### TwentyMinutes

public static final TimePickerSettings.TimeIncrement TwentyMinutes

### ThirtyMinutes

public static final TimePickerSettings.TimeIncrement ThirtyMinutes

### OneHour

public static final TimePickerSettings.TimeIncrement OneHour

## Field Details

### minutes

public final int minutes
minutes, This holds the number of minutes represented by the time increment.

## Method Details

### values

public static TimePickerSettings.TimeIncrement[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TimePickerSettings.TimeIncrement valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null